### Method

# Gimp Image set_metadata

since: 2.10

#### Declaration [src]

    gboolean
    gimp_image_set_metadata (
      GimpImage* image,
      GimpMetadata* metadata
    )

#### Description [src]

Set the image’s metadata.

Sets exif/iptc/xmp metadata on the image, or deletes it if `metadata` is `NULL`.

Available since: 2.10

#### Parameters

`metadata`

  Type: `GimpMetadata`

  The exif/ptc/xmp metadata.

  The data is owned by the caller of the method.

#### Return value

Type: `gboolean`

TRUE on success.